
# Collidables
objcreate s_container collidables
objcreate s_collidable_sphere collidables:sphere \
	-radius 0.5 \
	-friction_coeff 0.0

# Collision responses
objcreate s_container collision_responses
objcreate s_collision_response_player_rebound collision_responses:rebound \
	-player $plyr

# Objects
objcreate {s_container} {objects}

set specular_color {0.6 0.6 0.6}
set bump_specular_factor 1.0

# ----- Begin output of [objserialize objects]
objcreate {s_container} {objects}

objcreate {s_object3d} {objects:butt} \
	{-drawable_model} $shared_root:models:butt \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_specular_factor} $bump_specular_factor \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	-lowres_distance 200.0 \
	-lowres_model $shared_root:models:butt_low

objcreate {s_object3d} {objects:body} \
	{-drawable_model} $shared_root:models:chest \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	-lowres_distance 200.0 \
	-lowres_model $shared_root:models:chest_low

objcreate {s_object3d} {objects:head} \
	{-drawable_model} $shared_root:models:head \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	-lowres_distance 200.0 \
	-lowres_model $shared_root:models:head_low


objcreate {s_object3d} {objects:leftarm} \
	{-drawable_model} $shared_root:models:leftarm \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1}


objcreate {s_object3d} {objects:leftfoot} \
	{-drawable_model} $shared_root:models:leftfoot \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1}


objcreate {s_object3d} {objects:lefthand} \
	{-drawable_model} $shared_root:models:lefthand \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	-lowres_distance 200.0 \
	-lowres_model $shared_root:models:lefthand_low


objcreate {s_object3d} {objects:lefttoe} \
	{-drawable_model} $shared_root:models:lefttoe \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1}


objcreate {s_object3d} {objects:rightarm} \
	{-drawable_model} $shared_root:models:rightarm \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1}


objcreate {s_object3d} {objects:rightfoot} \
	{-drawable_model} $shared_root:models:rightfoot \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1}


objcreate {s_object3d} {objects:righthand} \
	{-drawable_model} $shared_root:models:righthand \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-specular_exp} {8.0} \
	{-specular_pass} {1} \
	{-bump_specular_pass} {1} \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	-lowres_distance 200.0 \
	-lowres_model $shared_root:models:righthand_low


objcreate {s_object3d} {objects:righttoe} \
	{-drawable_model} $shared_root:models:righttoe \
	{-texture} $character_texture_name \
	{-specular_colour} $specular_color \
	{-bump_specular_factor} $bump_specular_factor \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	{-specular_exp} {8.0} \
	{-bump_specular_pass} {1} \
	{-specular_pass} {1}

objcreate {s_object3d} {objects:neck} \
	{-drawable_model} $shared_root:models:scarf \
	{-texture} $character_texture_name \
	{-bump_map_decal_texture} $character_bump_decal_name \
	{-bump_map_texture} $character_bump_name \
	{-bump_mapping_enabled} {1} \
	-lowres_distance 200.0 \
	-lowres_model $shared_root:models:scarf_low

objcreate {s_object3d} {objects:whiskers} \
	{-drawable_model} $shared_root:models:whiskers \
	{-texture} $character_texture_name

objcreate {s_object3d} {objects:sphere} \
	{-collidable_object} {collidables:sphere} \
	{-collision_response_list} {collision_responses:rebound}

